### Method

# Gtk Text set_placeholder_text

#### Declaration [src]

    void
    gtk_text_set_placeholder_text (
      GtkText* self,
      const char* text
    )

#### Description [src]

Sets the text to be displayed when the text widget is empty and unfocused.

This can be used to give a visual hint of the expected contents of the text widget.

Sets property | `Gtk.Text:placeholder-text`

#### Parameters

`text`

  Type: `const char*`

  A string to be displayed when `self` is empty and unfocused.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.